%global dlrn_nvr automaton-2.3.1-1.20220727133327.4a3e539
%global dlrn 1
%define upstream_version 2.3.1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name automaton

%global with_doc 0

Name:           python-%{pypi_name}
Version: 2.3.1
Release: 1.20220727133327.4a3e539%{?dist}
Summary:        Friendly state machines for python

License:        ASL 2.0
URL:            https://wiki.openstack.org/wiki/Oslo#automaton
Source0: automaton-2.3.1-1.20220727133327.4a3e539.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=4a3e5397e1278a891627452750e3e68ac1919de1

BuildArch:      noarch

%description
Friendly state machines for python.

%package -n python3-%{pypi_name}
Summary:        Friendly state machines for python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  git-core
BuildRequires:  python3-prettytable

Requires: python3-pbr >= 2.0.0
Requires: python3-prettytable

%description -n python3-%{pypi_name}
Friendly state machines for python.

%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:        Friendly state machines for python - documentation
BuildRequires:  graphviz
BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description -n python-%{pypi_name}-doc
Friendly state machines for python (documentation)
%endif

%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs 
sphinx-build-3 -b html doc/source doc/build/html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.1-1.20220727133327.4a3e539
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.1-1.20220714114402.4a3e539
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.1-1.20220713074716.4a3e539
- Update patches

* Tue Mar 01 2022 OSP Prod Chain <dev-null@redhat.com> 2.3.1-0.20220301082317.4a3e539
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.3.0-0.20210527204218.406007e
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 2.3.0-1
- Update patches

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Mar 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Feb 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Uncap PrettyTable
- Dropping lower constraints testing
- Remove six dependency
- Use TOX_CONSTRAINTS_FILE
- Use py3 as the default runtime for tox
- Adding pre-commit
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update lower-constraints list
- drop mock from lower-constraints

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.
- Small cleanup
- Switch to newer openstackdocstheme and reno versions
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update hacking for Python3

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add python3 classifiers
- Ignore releasenote artifacts files.
- [ussuri][goal] Drop python 2.7 support and testing
- trivial: Remove noise
- Move doc requirements into dedicated file
- Switch to Ussuri jobs
- Blacklist sphinx 2.1.0 (autodoc bug)
- Update the constraints url
- Update master for stable/train

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


